global_defs {
# Keepalived process identifier
router_id {{ keepalived_process_id }}
}
# Script used to check if HAProxy is running
{% if keepalived_vrrp_scripts is defined %}
{% for vrrp_script in keepalived_vrrp_scripts %}
vrrp_script {{ vrrp_script.name }} {
    script "{{ vrrp_script.script }}"
    interval {{ vrrp_script.check_interval }}
    weight {{ vrrp_script.weight}}
    user {{ vrrp_script.user }}
}
{% endfor %}
{% endif %}

vrrp_instance VI_01 {
state {{ (keepalived_master == ansible_hostname) | ternary('MASTER', 'BACKUP') }}
interface {{ keepalived_vrrp_interface }}
virtual_router_id {{ keepalived_virtual_router_id }}
priority {{ keepalived_priority }}
virtual_ipaddress {
{{ keepalived_vip_address }}
}
{% if keepalived_vrrp_scripts is defined %}
track_script {
{% for vrrp_script in keepalived_vrrp_scripts %}
{{ vrrp_script.name }}
{% endfor %}
}
{% endif %}
}
